﻿@model Web.Models.Link

<div class="modal fade" id="edit-link" tabindex="-1" role="dialog" aria-labelledby="linkLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h2 class="text-center">Ссылка</h2>
            </div>
            <div class="modal-body">
                <form asp-action="Edit">
                    @*<div class="validation" asp-validation-summary="ModelOnly" />*@
                    <div class="container">
                        <input asp-for="Id" type="hidden" />
                        <input asp-for="CountClick" type="hidden" />
                        @*<input asp-for="ProjectId" type="hidden" />*@
                        <input name="IsValid" type="hidden" value="@ViewData.ModelState.IsValid.ToString()" />

                        <div class="form-group mb-2">
                            <label for="Name">Название ссылки</label>
                            <input class="w-100" type="text" asp-for="Name" />
                            <span asp-validation-for="Name" class="text-danger"></span>
                        </div>
                        <div class="form-group mb-2">
                            <label for="ShortLink.Url">Вставьте ссылку</label>
                            <textarea class="w-100" asp-for="Url">@Model.Url</textarea>
                            <span asp-validation-for="Url" class="text-danger"></span>
                        </div>
                        <div class="form-group mb-2">
                            <label for="Description">Описание</label>
                            <textarea class="w-100" asp-for="Description" type="text">@Model.Description</textarea>
                        </div>
                        <div class="form-group mb-2">
                            <label asp-for="IsActive">Активировать ссылку?</label>
                            <label class="switch">
                                <input type="checkbox" checked asp-for="IsActive">
                                <span class="slider round"></span>
                            </label>
                        </div>
                        <div class="">
                            <label for="ProjectId">Выберите проект</label>
                            <select class="browser-default custom-select form-control"
                                    name="ProjectId" id="selectIdProject" required>
                                <option selected value="0">нет</option>
                            </select>
                            <span asp-validation-for="ProjectId" class="text-danger"></span>
                            <script type="text/javascript">
                                    $.getJSON("@Url.Action("ProjectsJSON", "Project", null, "https")")
                                        .done(function (data) {
                                            data.forEach(d => {
                                                let option = document.createElement("option");
                                                option.value = d.id;
                                                if (d.id ==@Model.ProjectId)
                                                    option.selected = true;
                                                let textnode = document.createTextNode(d.name);
                                                option.appendChild(textnode);
                                                document.getElementById("selectIdProject").add(option);
                                            });
                                        });
                            </script>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer d-flex justify-content-between">
                <button type="button" class="btn btn-primary" data-save="modal">Сохранить</button>
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Отмена</button>
            </div>
        </div>
    </div>
</div>


